## AgsMoveNote

AgsMoveNote — move notation

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_move_note_set_selection ()
AgsMoveNote * | ags_move_note_new ()

## Properties

gboolean | absolute | Read / Write
AgsAudio * | audio | Read / Write
guint | first-x | Read / Write
guint | first-y | Read / Write
int | move-x | Read / Write
int | move-y | Read / Write
AgsNotation * | notation | Read / Write
gboolean | relative | Read / Write
gpointer | selection | Read / Write

## Types and Values

#define | AGS_MOVE_NOTE_DEFAULT_X_LENGTH
#define | AGS_MOVE_NOTE_DEFAULT_Y_LENGTH

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsMoveNote

## Includes

    #include <ags/audio/task/ags_move_note.h>

## Description

The AgsMoveNote task moves AgsNotation.

## Functions

### ags_move_note_set_selection ()

    void
    ags_move_note_set_selection (AgsMoveNote *move_note,
                                 GList *selection);

Set `selection` of `move_note` .

#### Parameters

move_note | the AgsMoveNote |
selection | the selection as GList. | [element-type AgsAudio.Note][transfer none]

Since: 3.2.3

### ags_move_note_new ()

    AgsMoveNote *
    ags_move_note_new (AgsAudio *audio,
                       AgsNotation *notation,
                       GList *selection,
                       guint first_x,
                       guint first_y,
                       gint move_x,
                       gint move_y,
                       gboolean relative,
                       gboolean absolute);

Create a new instance of AgsMoveNote task. Note either `relative` or `absolute` shall be `TRUE` else it won't have any effect.

#### Parameters

audio | the AgsAudio |
notation | the AgsNotation |
selection | the selection as GList. | [element-type AgsAudio.Note][transfer none]
first_x | the x offset to move from |
first_y | the x padding to use |
move_x | the amout to move in x direction |
move_y | the amout to move in y direction |
relative | if `TRUE` move relative position |
absolute | if `TRUE` move absolute position |

#### Returns

a new AgsMoveNote

Since: 3.0.0

## Types and Values

### AGS_MOVE_NOTE_DEFAULT_X_LENGTH

    #define AGS_MOVE_NOTE_DEFAULT_X_LENGTH (16 * 16 * 1200)

### AGS_MOVE_NOTE_DEFAULT_Y_LENGTH

    #define AGS_MOVE_NOTE_DEFAULT_Y_LENGTH (1024)

## Property Details

### The `“absolute”` property

      “absolute”                 gboolean

Move notation by absolute position.

Owner: AgsMoveNote

Flags: Read / Write

Default value: FALSE

Since: 3.0.0

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsMoveNote

Flags: Read / Write

Since: 3.0.0

### The `“first-x”` property

      “first-x”                  guint

Move notation from x offset.

Owner: AgsMoveNote

Flags: Read / Write

Allowed values: <= 307200

Default value: 0

Since: 3.0.0

### The `“first-y”` property

      “first-y”                  guint

Move notation with x padding.

Owner: AgsMoveNote

Flags: Read / Write

Allowed values: <= 307200

Default value: 0

Since: 3.0.0

### The `“move-x”` property

      “move-x”                   int

Move notation by move-x amount.

Owner: AgsMoveNote

Flags: Read / Write

Allowed values: [-307200,307200]

Default value: 0

Since: 3.0.0

### The `“move-y”` property

      “move-y”                   int

Move notation by move-y amount.

Owner: AgsMoveNote

Flags: Read / Write

Allowed values: [-1024,1024]

Default value: 0

Since: 3.0.0

### The `“notation”` property

      “notation”                 AgsNotation *

The assigned AgsNotation

Owner: AgsMoveNote

Flags: Read / Write

Since: 3.0.0

### The `“relative”` property

      “relative”                 gboolean

Move notation by relative position.

Owner: AgsMoveNote

Flags: Read / Write

Default value: FALSE

Since: 3.0.0

### The `“selection”` property

      “selection”                gpointer

The assigned AgsNote

[type GList(AgsNote)]

Owner: AgsMoveNote

Flags: Read / Write

Since: 3.0.0